## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           uresourced
Version:        0.5.4
Release:        %autorelease
Summary:        Dynamically allocate resources to the active user

License:        LGPL-2.1-or-later
URL:            https://gitlab.freedesktop.org/benzea/uresourced
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  systemd-rpm-macros

%description
This daemon dynamically assigns a resource allocation to the active
graphical user. If the user has an active graphical session managed
using systemd (e.g. GNOME), then the memory allocation will be used
to protect the sessions core processes (session.slice).

%prep
%autosetup -n %{name}-v%{version} -p1

%build
%meson -Dappmanagement=true
%meson_build

%install
%meson_install

%post
%systemd_post uresourced.service
%systemd_user_post uresourced.service

%preun
%systemd_preun uresourced.service
%systemd_user_preun uresourced.service

%postun
%systemd_postun uresourced.service
%systemd_user_postun uresourced.service

%files
%license COPYING
%doc README
%doc NEWS.md
%config(noreplace) %{_sysconfdir}/uresourced.conf
%{_datadir}/dbus-1/system.d/org.freedesktop.UResourced.conf
%{_libexecdir}/uresourced
%{_libexecdir}/cgroupify
%{_unitdir}/*
%{_userunitdir}/*

%changelog
## START: Generated by rpmautospec
* Tue Oct 29 2024 Troy Dawson <tdawson@redhat.com> - 0.5.4-4
- Bump release for October 2024 mass rebuild:

* Tue Jun 25 2024 Tomas Pelka <tpelka@redhat.com> - 0.5.4-3
- Add gating.yaml via API

* Mon Jun 24 2024 Troy Dawson <tdawson@redhat.com> - 0.5.4-2
- Bump release for June 2024 mass rebuild

* Wed Jan 31 2024 Kate Hsuan <hpa@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 28 2023 Pavel Solovev <daron439@gmail.com> - 0.5.3-4
- FTBFS fix (rhbz#2171746) - Convert licence tag to SPDX

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Benjamin Berg <bberg@redhat.com> - 0.5.3-1
- Update to 0.5.3

* Thu Mar 31 2022 Benjamin Berg <bberg@redhat.com> - 0.5.2-1
- Bump release version to 0.5.2

* Thu Mar 31 2022 Benjamin Berg <bberg@redhat.com> - 0.5.1-2
- Update to 0.5.2

* Mon Feb 28 2022 Benjamin Berg <bberg@redhat.com> - 0.5.1-1
- Update to 0.5.1

* Tue Feb 22 2022 Benjamin Berg <bberg@redhat.com> - 0.5.0-1
- Update to 0.5.0

* Tue Feb 15 2022 Benjamin Berg <bberg@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Mar 30 2021 Benjamin Berg <bberg@redhat.com> - 0.4.0-1
- New upstream release including cgroupify
  Resolves: #1931938
  Resolves: #1931934

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Sep 24 2020 Benjamin Berg <bberg@redhat.com> - 0.3.0-1
- New upstream release fixing various issues

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Benjamin Berg <bberg@redhat.com> - 0.2.0-1
- New upstream release enabling CPU/IO controllers for applications

* Wed Jul 08 2020 Benjamin Berg <bberg@redhat.com> - 0.1.0-1
- Initial package (rhbz#1854898)

## END: Generated by rpmautospec
